Index: /code/branches/libraries2/src/modules/gamestates/GSLevel.cc
===================================================================
--- /code/branches/libraries2/src/modules/gamestates/GSLevel.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/gamestates/GSLevel.cc	(revision 5735)
@@ -48,5 +48,5 @@
 
 #include "tools/interfaces/Tickable.h"
-#include "objects/Radar.h"
+#include "Radar.h"
 #include "CameraManager.h"
 #include "LevelManager.h"
Index: /code/branches/libraries2/src/modules/gamestates/GSMainMenu.cc
===================================================================
--- /code/branches/libraries2/src/modules/gamestates/GSMainMenu.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/gamestates/GSMainMenu.cc	(revision 5735)
@@ -38,5 +38,5 @@
 #include "core/GraphicsManager.h"
 #include "core/GUIManager.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 #include "sound/SoundMainMenu.h"
 
Index: /code/branches/libraries2/src/modules/objects/Attacher.h
===================================================================
--- /code/branches/libraries2/src/modules/objects/Attacher.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/Attacher.h	(revision 5735)
@@ -35,5 +35,5 @@
 #include <string>
 #include "core/XMLNameListener.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/objects/ForceField.cc
===================================================================
--- /code/branches/libraries2/src/modules/objects/ForceField.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/ForceField.cc	(revision 5735)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/MobileEntity.h"
+#include "worldentities/MobileEntity.h"
 
 namespace orxonox
@@ -53,5 +53,5 @@
     {
         SUPER(ForceField, XMLPort, xmlelement, mode);
- 
+
         //For correct xml import use: position, direction, velocity, scale
         XMLPortParam(ForceField, "velocity", setVelocity, getVelocity, xmlelement, mode).defaultValues(100);
Index: /code/branches/libraries2/src/modules/objects/ForceField.h
===================================================================
--- /code/branches/libraries2/src/modules/objects/ForceField.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/ForceField.h	(revision 5735)
@@ -34,5 +34,5 @@
 
 #include "tools/interfaces/Tickable.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/objects/Planet.cc
===================================================================
--- /code/branches/libraries2/src/modules/objects/Planet.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/Planet.cc	(revision 5735)
@@ -36,6 +36,6 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
-#include "objects/worldentities/Camera.h"
+#include "Scene.h"
+#include "worldentities/Camera.h"
 #include "CameraManager.h"
 
Index: /code/branches/libraries2/src/modules/objects/Planet.h
===================================================================
--- /code/branches/libraries2/src/modules/objects/Planet.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/Planet.h	(revision 5735)
@@ -35,5 +35,5 @@
 #include "tools/BillboardSet.h"
 #include "tools/Mesh.h"
-#include "objects/worldentities/MovableEntity.h"
+#include "worldentities/MovableEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/objects/collisionshapes/BoxCollisionShape.h
===================================================================
--- /code/branches/libraries2/src/modules/objects/collisionshapes/BoxCollisionShape.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/collisionshapes/BoxCollisionShape.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "util/Math.h"
-#include "objects/collisionshapes/CollisionShape.h"
+#include "collisionshapes/CollisionShape.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/objects/collisionshapes/ConeCollisionShape.h
===================================================================
--- /code/branches/libraries2/src/modules/objects/collisionshapes/ConeCollisionShape.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/collisionshapes/ConeCollisionShape.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "objects/ObjectsPrereqs.h"
-#include "objects/collisionshapes/CollisionShape.h"
+#include "collisionshapes/CollisionShape.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/objects/collisionshapes/PlaneCollisionShape.h
===================================================================
--- /code/branches/libraries2/src/modules/objects/collisionshapes/PlaneCollisionShape.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/collisionshapes/PlaneCollisionShape.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "util/Math.h"
-#include "objects/collisionshapes/CollisionShape.h"
+#include "collisionshapes/CollisionShape.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/objects/collisionshapes/SphereCollisionShape.h
===================================================================
--- /code/branches/libraries2/src/modules/objects/collisionshapes/SphereCollisionShape.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/collisionshapes/SphereCollisionShape.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "objects/ObjectsPrereqs.h"
-#include "objects/collisionshapes/CollisionShape.h"
+#include "collisionshapes/CollisionShape.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/objects/triggers/CheckPoint.cc
===================================================================
--- /code/branches/libraries2/src/modules/objects/triggers/CheckPoint.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/triggers/CheckPoint.cc	(revision 5735)
@@ -31,6 +31,6 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/gametypes/Asteroids.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "gametypes/Asteroids.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- /code/branches/libraries2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 5735)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/objects/triggers/Trigger.cc
===================================================================
--- /code/branches/libraries2/src/modules/objects/triggers/Trigger.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/triggers/Trigger.cc	(revision 5735)
@@ -33,5 +33,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/objects/triggers/Trigger.h
===================================================================
--- /code/branches/libraries2/src/modules/objects/triggers/Trigger.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/objects/triggers/Trigger.h	(revision 5735)
@@ -37,5 +37,5 @@
 #include "tools/BillboardSet.h"
 #include "tools/interfaces/Tickable.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/GUIOverlay.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/GUIOverlay.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/GUIOverlay.cc	(revision 5735)
@@ -36,5 +36,5 @@
 #include "core/GUIManager.h"
 #include "core/XMLPort.h"
-#include "objects/infos/PlayerInfo.h"
+#include "infos/PlayerInfo.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/hud/AnnounceMessage.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/AnnounceMessage.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/AnnounceMessage.cc	(revision 5735)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "objects/infos/PlayerInfo.h"
+#include "infos/PlayerInfo.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/hud/ChatOverlay.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/ChatOverlay.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/ChatOverlay.cc	(revision 5735)
@@ -39,5 +39,5 @@
 
 #include "tools/Timer.h"
-#include "objects/infos/PlayerInfo.h"
+#include "infos/PlayerInfo.h"
 #include "PlayerManager.h"
 
Index: /code/branches/libraries2/src/modules/overlays/hud/DeathMessage.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/DeathMessage.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/DeathMessage.cc	(revision 5735)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "objects/infos/PlayerInfo.h"
+#include "infos/PlayerInfo.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/hud/GametypeStatus.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/GametypeStatus.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/GametypeStatus.cc	(revision 5735)
@@ -31,8 +31,8 @@
 #include "util/Convert.h"
 #include "core/CoreIncludes.h"
-#include "objects/infos/GametypeInfo.h"
-#include "objects/infos/PlayerInfo.h"
-#include "objects/worldentities/ControllableEntity.h"
-#include "objects/worldentities/pawns/Spectator.h"
+#include "infos/GametypeInfo.h"
+#include "infos/PlayerInfo.h"
+#include "worldentities/ControllableEntity.h"
+#include "worldentities/pawns/Spectator.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/hud/HUDHealthBar.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/HUDHealthBar.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/HUDHealthBar.cc	(revision 5735)
@@ -32,5 +32,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 #include "overlays/OverlayGroup.h"
 
Index: /code/branches/libraries2/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/HUDNavigation.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/HUDNavigation.cc	(revision 5735)
@@ -39,5 +39,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/Radar.h"
+#include "Radar.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/HUDRadar.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/HUDRadar.cc	(revision 5735)
@@ -38,6 +38,6 @@
 #include "core/XMLPort.h"
 #include "tools/TextureGenerator.h"
-#include "objects/worldentities/WorldEntity.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/WorldEntity.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/hud/HUDSpeedBar.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/HUDSpeedBar.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/HUDSpeedBar.cc	(revision 5735)
@@ -31,6 +31,6 @@
 
 #include "core/CoreIncludes.h"
-#include "objects/worldentities/pawns/SpaceShip.h"
-#include "objects/items/Engine.h"
+#include "worldentities/pawns/SpaceShip.h"
+#include "items/Engine.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/hud/HUDTimer.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/HUDTimer.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/HUDTimer.cc	(revision 5735)
@@ -31,6 +31,6 @@
 #include "util/Convert.h"
 #include "core/CoreIncludes.h"
-#include "objects/worldentities/ControllableEntity.h"
-#include "objects/gametypes/Gametype.h"
+#include "worldentities/ControllableEntity.h"
+#include "gametypes/Gametype.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/hud/KillMessage.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/KillMessage.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/KillMessage.cc	(revision 5735)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "objects/infos/PlayerInfo.h"
+#include "infos/PlayerInfo.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/hud/TeamBaseMatchScore.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 5735)
@@ -32,6 +32,6 @@
 #include "core/XMLPort.h"
 #include "util/Convert.h"
-#include "objects/gametypes/TeamBaseMatch.h"
-#include "objects/infos/PlayerInfo.h"
+#include "gametypes/TeamBaseMatch.h"
+#include "infos/PlayerInfo.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/hud/UnderAttackHealthBar.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/hud/UnderAttackHealthBar.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/hud/UnderAttackHealthBar.cc	(revision 5735)
@@ -31,7 +31,7 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/infos/PlayerInfo.h"
-#include "objects/gametypes/UnderAttack.h"
-#include "objects/worldentities/pawns/Destroyer.h"
+#include "infos/PlayerInfo.h"
+#include "gametypes/UnderAttack.h"
+#include "worldentities/pawns/Destroyer.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/overlays/stats/Scoreboard.cc
===================================================================
--- /code/branches/libraries2/src/modules/overlays/stats/Scoreboard.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/overlays/stats/Scoreboard.cc	(revision 5735)
@@ -29,6 +29,6 @@
 #include "util/Convert.h"
 #include "core/CoreIncludes.h"
-#include "objects/gametypes/Gametype.h"
-#include "objects/infos/PlayerInfo.h"
+#include "gametypes/Gametype.h"
+#include "infos/PlayerInfo.h"
 #include "CreateLines.h"
 
Index: /code/branches/libraries2/src/modules/pong/Pong.h
===================================================================
--- /code/branches/libraries2/src/modules/pong/Pong.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/pong/Pong.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "tools/Timer.h"
-#include "objects/gametypes/Deathmatch.h"
+#include "gametypes/Deathmatch.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/pong/PongAI.cc
===================================================================
--- /code/branches/libraries2/src/modules/pong/PongAI.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/pong/PongAI.cc	(revision 5735)
@@ -32,5 +32,5 @@
 #include "core/ConfigValueIncludes.h"
 #include "tools/Timer.h"
-#include "objects/worldentities/ControllableEntity.h"
+#include "worldentities/ControllableEntity.h"
 #include "PongBall.h"
 
Index: /code/branches/libraries2/src/modules/pong/PongAI.h
===================================================================
--- /code/branches/libraries2/src/modules/pong/PongAI.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/pong/PongAI.h	(revision 5735)
@@ -35,5 +35,5 @@
 #include "util/Math.h"
 #include "tools/interfaces/Tickable.h"
-#include "objects/controllers/Controller.h"
+#include "controllers/Controller.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/pong/PongBall.cc
===================================================================
--- /code/branches/libraries2/src/modules/pong/PongBall.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/pong/PongBall.cc	(revision 5735)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "objects/gametypes/Gametype.h"
+#include "gametypes/Gametype.h"
 #include "PongBat.h"
 #include "sound/SoundBase.h"
Index: /code/branches/libraries2/src/modules/pong/PongBall.h
===================================================================
--- /code/branches/libraries2/src/modules/pong/PongBall.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/pong/PongBall.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "util/Math.h"
-#include "objects/worldentities/MovableEntity.h"
+#include "worldentities/MovableEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/pong/PongBat.h
===================================================================
--- /code/branches/libraries2/src/modules/pong/PongBat.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/pong/PongBat.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "pong/PongPrereqs.h"
-#include "objects/worldentities/ControllableEntity.h"
+#include "worldentities/ControllableEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/pong/PongBot.h
===================================================================
--- /code/branches/libraries2/src/modules/pong/PongBot.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/pong/PongBot.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "pong/PongPrereqs.h"
-#include "objects/infos/Bot.h"
+#include "infos/Bot.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/pong/PongCenterpoint.h
===================================================================
--- /code/branches/libraries2/src/modules/pong/PongCenterpoint.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/pong/PongCenterpoint.h	(revision 5735)
@@ -34,5 +34,5 @@
 #include <string>
 #include <util/Math.h>
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/pong/PongScore.cc
===================================================================
--- /code/branches/libraries2/src/modules/pong/PongScore.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/pong/PongScore.cc	(revision 5735)
@@ -33,5 +33,5 @@
 #include "core/XMLPort.h"
 #include "Pong.h"
-#include "objects/infos/PlayerInfo.h"
+#include "infos/PlayerInfo.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/questsystem/QuestEffectBeacon.cc
===================================================================
--- /code/branches/libraries2/src/modules/questsystem/QuestEffectBeacon.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/questsystem/QuestEffectBeacon.cc	(revision 5735)
@@ -37,5 +37,5 @@
 #include "core/XMLPort.h"
 #include "core/EventIncludes.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 #include "interfaces/PlayerTrigger.h"
 #include "QuestEffect.h"
Index: /code/branches/libraries2/src/modules/questsystem/QuestEffectBeacon.h
===================================================================
--- /code/branches/libraries2/src/modules/questsystem/QuestEffectBeacon.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/questsystem/QuestEffectBeacon.h	(revision 5735)
@@ -38,5 +38,5 @@
 
 #include <list>
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/questsystem/QuestManager.cc
===================================================================
--- /code/branches/libraries2/src/modules/questsystem/QuestManager.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/questsystem/QuestManager.cc	(revision 5735)
@@ -38,5 +38,5 @@
 #include "core/GUIManager.h"
 
-#include "objects/infos/PlayerInfo.h"
+#include "infos/PlayerInfo.h"
 #include "Quest.h"
 #include "QuestHint.h"
Index: /code/branches/libraries2/src/modules/weapons/MuzzleFlash.h
===================================================================
--- /code/branches/libraries2/src/modules/weapons/MuzzleFlash.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/MuzzleFlash.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "tools/Timer.h"
-#include "objects/worldentities/Billboard.h"
+#include "worldentities/Billboard.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/munitions/FusionMunition.h
===================================================================
--- /code/branches/libraries2/src/modules/weapons/munitions/FusionMunition.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/munitions/FusionMunition.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "weapons/WeaponsPrereqs.h"
-#include "objects/weaponsystem/Munition.h"
+#include "weaponsystem/Munition.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/munitions/ReplenishingMunition.h
===================================================================
--- /code/branches/libraries2/src/modules/weapons/munitions/ReplenishingMunition.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/munitions/ReplenishingMunition.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "tools/Timer.h"
-#include "objects/weaponsystem/Munition.h"
+#include "weaponsystem/Munition.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/projectiles/BillboardProjectile.cc
===================================================================
--- /code/branches/libraries2/src/modules/weapons/projectiles/BillboardProjectile.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/projectiles/BillboardProjectile.cc	(revision 5735)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
@@ -61,5 +61,5 @@
         this->billboard_.setColour(colour);
     }
-    
+
     void BillboardProjectile::setMaterial(const std::string& material)
     {
Index: /code/branches/libraries2/src/modules/weapons/projectiles/ParticleProjectile.cc
===================================================================
--- /code/branches/libraries2/src/modules/weapons/projectiles/ParticleProjectile.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/projectiles/ParticleProjectile.cc	(revision 5735)
@@ -32,5 +32,5 @@
 #include "tools/ParticleInterface.h"
 #include "core/CoreIncludes.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- /code/branches/libraries2/src/modules/weapons/projectiles/Projectile.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/projectiles/Projectile.cc	(revision 5735)
@@ -34,6 +34,6 @@
 #include "core/GameMode.h"
 #include "objects/collisionshapes/SphereCollisionShape.h"
-#include "objects/worldentities/pawns/Pawn.h"
-#include "objects/worldentities/ParticleSpawner.h"
+#include "worldentities/pawns/Pawn.h"
+#include "worldentities/ParticleSpawner.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/projectiles/Projectile.h
===================================================================
--- /code/branches/libraries2/src/modules/weapons/projectiles/Projectile.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/projectiles/Projectile.h	(revision 5735)
@@ -34,5 +34,5 @@
 #include "tools/Timer.h"
 #include "interfaces/PawnListener.h"
-#include "objects/worldentities/MovableEntity.h"
+#include "worldentities/MovableEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- /code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 5735)
@@ -32,11 +32,11 @@
 #include "core/Executor.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/Model.h"
+#include "worldentities/Model.h"
 
 #include "weapons/projectiles/Projectile.h"
 #include "weapons/MuzzleFlash.h"
-#include "objects/weaponsystem/Weapon.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSystem.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.h
===================================================================
--- /code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/weaponmodes/EnergyDrink.h	(revision 5735)
@@ -34,5 +34,5 @@
 #include <string>
 #include "tools/Timer.h"
-#include "objects/weaponsystem/WeaponMode.h"
+#include "weaponsystem/WeaponMode.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.cc
===================================================================
--- /code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 5735)
@@ -33,7 +33,7 @@
 #include "weapons/projectiles/BillboardProjectile.h"
 
-#include "objects/weaponsystem/Weapon.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSystem.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.h
===================================================================
--- /code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/weaponmodes/FusionFire.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "weapons/WeaponsPrereqs.h"
-#include "objects/weaponsystem/WeaponMode.h"
+#include "weaponsystem/WeaponMode.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- /code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.cc	(revision 5735)
@@ -32,11 +32,11 @@
 #include "core/Executor.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/Model.h"
+#include "worldentities/Model.h"
 
 #include "weapons/projectiles/Projectile.h"
 #include "weapons/MuzzleFlash.h"
-#include "objects/weaponsystem/Weapon.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSystem.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.h
===================================================================
--- /code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/weaponmodes/HsW01.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "tools/Timer.h"
-#include "objects/weaponsystem/WeaponMode.h"
+#include "weaponsystem/WeaponMode.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.cc
===================================================================
--- /code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 5735)
@@ -31,7 +31,7 @@
 #include "core/CoreIncludes.h"
 #include "weapons/projectiles/ParticleProjectile.h"
-#include "objects/weaponsystem/Weapon.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSystem.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.h
===================================================================
--- /code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/weaponmodes/LaserFire.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "weapons/WeaponsPrereqs.h"
-#include "objects/weaponsystem/WeaponMode.h"
+#include "weaponsystem/WeaponMode.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.cc
===================================================================
--- /code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 5735)
@@ -31,7 +31,7 @@
 #include "core/CoreIncludes.h"
 #include "weapons/projectiles/LightningGunProjectile.h"
-#include "objects/weaponsystem/Weapon.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSystem.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.h
===================================================================
--- /code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.h	(revision 5734)
+++ /code/branches/libraries2/src/modules/weapons/weaponmodes/LightningGun.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "weapons/WeaponsPrereqs.h"
-#include "objects/weaponsystem/WeaponMode.h"
+#include "weaponsystem/WeaponMode.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/CMakeLists.txt
===================================================================
--- /code/branches/libraries2/src/orxonox/CMakeLists.txt	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/CMakeLists.txt	(revision 5735)
@@ -48,6 +48,6 @@
   TOLUA_FILES
     LevelManager.h
-    objects/pickup/BaseItem.h
-    objects/pickup/PickupInventory.h
+    pickup/BaseItem.h
+    pickup/PickupInventory.h
   DEFINE_SYMBOL
     "ORXONOX_SHARED_BUILD"
Index: /code/branches/libraries2/src/orxonox/CameraManager.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/CameraManager.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/CameraManager.cc	(revision 5735)
@@ -37,6 +37,6 @@
 #include "core/ObjectList.h"
 #include "tools/Shader.h"
-#include "objects/worldentities/Camera.h"
-#include "objects/Scene.h"
+#include "worldentities/Camera.h"
+#include "Scene.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/GlobalShader.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/GlobalShader.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/GlobalShader.cc	(revision 5735)
@@ -32,5 +32,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/Level.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/Level.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/Level.cc	(revision 5735)
@@ -37,6 +37,6 @@
 #include "core/XMLPort.h"
 
-#include "objects/infos/PlayerInfo.h"
-#include "objects/gametypes/Gametype.h"
+#include "infos/PlayerInfo.h"
+#include "gametypes/Gametype.h"
 #include "overlays/OverlayGroup.h"
 #include "sound/SoundBase.h"
Index: /code/branches/libraries2/src/orxonox/LevelManager.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/LevelManager.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/LevelManager.cc	(revision 5735)
@@ -38,6 +38,6 @@
 #include "core/Loader.h"
 #include "PlayerManager.h"
-#include "objects/Level.h"
-#include "objects/infos/HumanPlayer.h"
+#include "Level.h"
+#include "infos/HumanPlayer.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- /code/branches/libraries2/src/orxonox/OrxonoxPrereqs.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/OrxonoxPrereqs.h	(revision 5735)
@@ -64,9 +64,12 @@
 namespace orxonox
 {
-    // manager
     class CameraManager;
     class LevelManager;
     class PawnManager;
     class PlayerManager;
+
+    class Level;
+    class Scene;
+    class Tickable;
 
     // interfaces
@@ -79,9 +82,4 @@
     class Rewardable;
     class Teamcolourable;
-
-    // objects
-    class Level;
-    class Scene;
-    class Tickable;
 
     // worldentities
Index: /code/branches/libraries2/src/orxonox/PawnManager.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/PawnManager.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/PawnManager.cc	(revision 5735)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/PlayerManager.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/PlayerManager.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/PlayerManager.cc	(revision 5735)
@@ -31,6 +31,6 @@
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "objects/Level.h"
-#include "objects/infos/HumanPlayer.h"
+#include "Level.h"
+#include "infos/HumanPlayer.h"
 #include "LevelManager.h"
 
Index: /code/branches/libraries2/src/orxonox/Scene.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/Scene.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/Scene.cc	(revision 5735)
@@ -44,5 +44,5 @@
 #include "core/XMLPort.h"
 #include "tools/BulletConversions.h"
-#include "objects/worldentities/WorldEntity.h"
+#include "worldentities/WorldEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/collisionshapes/CollisionShape.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/collisionshapes/CollisionShape.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/collisionshapes/CollisionShape.cc	(revision 5735)
@@ -33,5 +33,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/WorldEntity.h"
+#include "worldentities/WorldEntity.h"
 #include "CompoundCollisionShape.h"
 #include "WorldEntityCollisionShape.h"
Index: /code/branches/libraries2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc	(revision 5735)
@@ -33,5 +33,5 @@
 #include "util/OrxAssert.h"
 #include "core/CoreIncludes.h"
-#include "objects/worldentities/WorldEntity.h"
+#include "worldentities/WorldEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/controllers/AIController.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/controllers/AIController.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/controllers/AIController.cc	(revision 5735)
@@ -32,5 +32,5 @@
 #include "core/CoreIncludes.h"
 #include "core/Executor.h"
-#include "objects/worldentities/ControllableEntity.h"
+#include "worldentities/ControllableEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/controllers/ArtificialController.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/controllers/ArtificialController.cc	(revision 5735)
@@ -30,9 +30,9 @@
 
 #include "core/CoreIncludes.h"
-#include "objects/worldentities/ControllableEntity.h"
-#include "objects/worldentities/pawns/Pawn.h"
-#include "objects/worldentities/pawns/TeamBaseMatchBase.h"
-#include "objects/gametypes/TeamDeathmatch.h"
-#include "objects/controllers/WaypointPatrolController.h"
+#include "worldentities/ControllableEntity.h"
+#include "worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/TeamBaseMatchBase.h"
+#include "gametypes/TeamDeathmatch.h"
+#include "controllers/WaypointPatrolController.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/controllers/HumanController.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/controllers/HumanController.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/controllers/HumanController.cc	(revision 5735)
@@ -31,8 +31,8 @@
 #include "core/CoreIncludes.h"
 #include "core/ConsoleCommand.h"
-#include "objects/worldentities/ControllableEntity.h"
-#include "objects/worldentities/pawns/Pawn.h"
-#include "objects/gametypes/Gametype.h"
-#include "objects/infos/PlayerInfo.h"
+#include "worldentities/ControllableEntity.h"
+#include "worldentities/pawns/Pawn.h"
+#include "gametypes/Gametype.h"
+#include "infos/PlayerInfo.h"
 #include "overlays/Map.h"
 
Index: /code/branches/libraries2/src/orxonox/controllers/WaypointController.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/controllers/WaypointController.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/controllers/WaypointController.cc	(revision 5735)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/ControllableEntity.h"
+#include "worldentities/ControllableEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/controllers/WaypointPatrolController.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/controllers/WaypointPatrolController.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/controllers/WaypointPatrolController.cc	(revision 5735)
@@ -32,5 +32,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/gametypes/Asteroids.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/gametypes/Asteroids.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/gametypes/Asteroids.cc	(revision 5735)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "network/Host.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/gametypes/Deathmatch.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/gametypes/Deathmatch.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/gametypes/Deathmatch.cc	(revision 5735)
@@ -31,6 +31,6 @@
 #include "core/CoreIncludes.h"
 #include "network/Host.h"
-#include "objects/infos/PlayerInfo.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "infos/PlayerInfo.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/gametypes/Gametype.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/gametypes/Gametype.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/gametypes/Gametype.cc	(revision 5735)
@@ -34,11 +34,11 @@
 #include "core/GameMode.h"
 
-#include "objects/infos/PlayerInfo.h"
-#include "objects/infos/Bot.h"
-#include "objects/worldentities/Camera.h"
-#include "objects/worldentities/ControllableEntity.h"
-#include "objects/worldentities/SpawnPoint.h"
-#include "objects/worldentities/pawns/Spectator.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "infos/PlayerInfo.h"
+#include "infos/Bot.h"
+#include "worldentities/Camera.h"
+#include "worldentities/ControllableEntity.h"
+#include "worldentities/SpawnPoint.h"
+#include "worldentities/pawns/Spectator.h"
+#include "worldentities/pawns/Pawn.h"
 #include "overlays/OverlayGroup.h"
 
Index: /code/branches/libraries2/src/orxonox/gametypes/Gametype.h
===================================================================
--- /code/branches/libraries2/src/orxonox/gametypes/Gametype.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/gametypes/Gametype.h	(revision 5735)
@@ -39,5 +39,5 @@
 #include "core/Identifier.h"
 #include "tools/interfaces/Tickable.h"
-#include "objects/infos/GametypeInfo.h"
+#include "infos/GametypeInfo.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/gametypes/TeamBaseMatch.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 5735)
@@ -31,6 +31,6 @@
 #include "core/CoreIncludes.h"
 #include "core/Executor.h"
-#include "objects/worldentities/pawns/TeamBaseMatchBase.h"
-#include "objects/infos/PlayerInfo.h"
+#include "worldentities/pawns/TeamBaseMatchBase.h"
+#include "infos/PlayerInfo.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/gametypes/TeamDeathmatch.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 5735)
@@ -32,6 +32,6 @@
 #include "core/ConfigValueIncludes.h"
 #include "interfaces/TeamColourable.h"
-#include "objects/worldentities/TeamSpawnPoint.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/TeamSpawnPoint.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/gametypes/UnderAttack.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/gametypes/UnderAttack.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/gametypes/UnderAttack.cc	(revision 5735)
@@ -33,6 +33,6 @@
 #include "core/ConfigValueIncludes.h"
 #include "network/Host.h"
-#include "objects/worldentities/pawns/Destroyer.h"
-#include "objects/infos/PlayerInfo.h"
+#include "worldentities/pawns/Destroyer.h"
+#include "infos/PlayerInfo.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/infos/Bot.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/infos/Bot.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/infos/Bot.cc	(revision 5735)
@@ -33,6 +33,6 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "objects/gametypes/Gametype.h"
-#include "objects/controllers/AIController.h"
+#include "gametypes/Gametype.h"
+#include "controllers/AIController.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/infos/HumanPlayer.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/infos/HumanPlayer.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/infos/HumanPlayer.cc	(revision 5735)
@@ -34,6 +34,6 @@
 #include "network/ClientInformation.h"
 #include "network/Host.h"
-#include "objects/controllers/HumanController.h"
-#include "objects/gametypes/Gametype.h"
+#include "controllers/HumanController.h"
+#include "gametypes/Gametype.h"
 #include "overlays/OverlayGroup.h"
 
Index: /code/branches/libraries2/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/infos/PlayerInfo.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/infos/PlayerInfo.cc	(revision 5735)
@@ -33,6 +33,6 @@
 #include "core/CoreIncludes.h"
 #include "network/ClientInformation.h"
-#include "objects/gametypes/Gametype.h"
-#include "objects/worldentities/ControllableEntity.h"
+#include "gametypes/Gametype.h"
+#include "worldentities/ControllableEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/infos/PlayerInfo.h
===================================================================
--- /code/branches/libraries2/src/orxonox/infos/PlayerInfo.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/infos/PlayerInfo.h	(revision 5735)
@@ -34,5 +34,5 @@
 #include "Info.h"
 #include "core/Identifier.h"
-#include "objects/controllers/Controller.h"
+#include "controllers/Controller.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/interfaces/RadarViewable.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/interfaces/RadarViewable.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/interfaces/RadarViewable.cc	(revision 5735)
@@ -36,6 +36,6 @@
 #include "core/CoreIncludes.h"
 #include "tools/DynamicLines.h"
-#include "objects/worldentities/WorldEntity.h"
-#include "objects/Radar.h"
+#include "worldentities/WorldEntity.h"
+#include "Radar.h"
 #include "overlays/Map.h"
 
Index: /code/branches/libraries2/src/orxonox/items/Engine.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/items/Engine.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/items/Engine.cc	(revision 5735)
@@ -33,7 +33,7 @@
 #include "core/ConfigValueIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
-#include "objects/worldentities/pawns/SpaceShip.h"
-#include "objects/pickup/ModifierType.h"
+#include "Scene.h"
+#include "worldentities/pawns/SpaceShip.h"
+#include "pickup/ModifierType.h"
 #include "tools/Shader.h"
 #include "sound/SoundBase.h"
Index: /code/branches/libraries2/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/items/MultiStateEngine.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/items/MultiStateEngine.cc	(revision 5735)
@@ -32,5 +32,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/pawns/SpaceShip.h"
+#include "worldentities/pawns/SpaceShip.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/overlays/Map.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/overlays/Map.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/overlays/Map.cc	(revision 5735)
@@ -53,8 +53,8 @@
 #include "core/XMLPort.h"
 #include "interfaces/RadarViewable.h"
-#include "objects/Scene.h"
-#include "objects/controllers/HumanController.h"
-#include "objects/worldentities/CameraPosition.h"
-#include "objects/worldentities/ControllableEntity.h"
+#include "Scene.h"
+#include "controllers/HumanController.h"
+#include "worldentities/CameraPosition.h"
+#include "worldentities/ControllableEntity.h"
 
  namespace orxonox
Index: /code/branches/libraries2/src/orxonox/pickup/BaseItem.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/BaseItem.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/BaseItem.cc	(revision 5735)
@@ -36,5 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/pickup/DroppedItem.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/DroppedItem.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/DroppedItem.cc	(revision 5735)
@@ -33,7 +33,7 @@
 #include "core/Executor.h"
 #include "BaseItem.h"
-#include "objects/worldentities/Billboard.h"
-#include "objects/worldentities/Model.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/Billboard.h"
+#include "worldentities/Model.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/pickup/DroppedItem.h
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/DroppedItem.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/DroppedItem.h	(revision 5735)
@@ -39,5 +39,5 @@
 #include "tools/Timer.h"
 #include "tools/interfaces/Tickable.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/pickup/ModifierPickup.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/ModifierPickup.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/ModifierPickup.cc	(revision 5735)
@@ -36,5 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/pickup/PickupInventory.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/PickupInventory.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/PickupInventory.cc	(revision 5735)
@@ -39,6 +39,6 @@
 #include "core/GUIManager.h"
 #include "core/input/InputManager.h"
-#include "objects/controllers/HumanController.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "controllers/HumanController.h"
+#include "worldentities/pawns/Pawn.h"
 
 #include "EquipmentItem.h"
Index: /code/branches/libraries2/src/orxonox/pickup/PickupSpawner.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/PickupSpawner.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/PickupSpawner.cc	(revision 5735)
@@ -40,5 +40,5 @@
 #include "core/Template.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 #include "PickupInventory.h"    // HACK; Only for hack, remove later
 
Index: /code/branches/libraries2/src/orxonox/pickup/PickupSpawner.h
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/PickupSpawner.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/PickupSpawner.h	(revision 5735)
@@ -40,5 +40,5 @@
 #include "tools/Timer.h"
 #include "tools/interfaces/Tickable.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/pickup/items/HealthImmediate.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/items/HealthImmediate.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/items/HealthImmediate.cc	(revision 5735)
@@ -36,5 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/pickup/items/HealthImmediate.h
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/items/HealthImmediate.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/items/HealthImmediate.h	(revision 5735)
@@ -36,5 +36,5 @@
 
 #include "OrxonoxPrereqs.h"
-#include "objects/pickup/PassiveItem.h"
+#include "pickup/PassiveItem.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/pickup/items/HealthUsable.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/items/HealthUsable.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/items/HealthUsable.cc	(revision 5735)
@@ -37,6 +37,6 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/pickup/DroppedItem.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "pickup/DroppedItem.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/pickup/items/HealthUsable.h
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/items/HealthUsable.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/items/HealthUsable.h	(revision 5735)
@@ -38,5 +38,5 @@
 
 #include <climits>
-#include "objects/pickup/UsableItem.h"
+#include "pickup/UsableItem.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/pickup/items/Jump.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/items/Jump.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/items/Jump.cc	(revision 5735)
@@ -36,6 +36,6 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/pickup/DroppedItem.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "pickup/DroppedItem.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/pickup/items/Jump.h
===================================================================
--- /code/branches/libraries2/src/orxonox/pickup/items/Jump.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/pickup/items/Jump.h	(revision 5735)
@@ -41,5 +41,5 @@
 #include <climits>
 #include "util/Math.h"
-#include "objects/pickup/UsableItem.h"
+#include "pickup/UsableItem.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/sound/SoundBase.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/sound/SoundBase.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/sound/SoundBase.cc	(revision 5735)
@@ -37,5 +37,5 @@
 #include "core/Core.h"
 #include "core/Resource.h"
-#include "objects/worldentities/WorldEntity.h"
+#include "worldentities/WorldEntity.h"
 #include "SoundManager.h"
 
Index: /code/branches/libraries2/src/orxonox/sound/SoundManager.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/sound/SoundManager.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/sound/SoundManager.cc	(revision 5735)
@@ -33,5 +33,5 @@
 #include "util/Math.h"
 #include "CameraManager.h"
-#include "objects/worldentities/Camera.h"
+#include "worldentities/Camera.h"
 #include "SoundBase.h"
 
Index: /code/branches/libraries2/src/orxonox/weaponsystem/Weapon.h
===================================================================
--- /code/branches/libraries2/src/orxonox/weaponsystem/Weapon.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/weaponsystem/Weapon.h	(revision 5735)
@@ -35,5 +35,5 @@
 #include <map>
 #include "tools/Timer.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/weaponsystem/WeaponSlot.h
===================================================================
--- /code/branches/libraries2/src/orxonox/weaponsystem/WeaponSlot.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/weaponsystem/WeaponSlot.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 5735)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 
 #include "WeaponSlot.h"
Index: /code/branches/libraries2/src/orxonox/worldentities/Backlight.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/Backlight.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/Backlight.cc	(revision 5735)
@@ -38,5 +38,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/BigExplosion.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/BigExplosion.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/BigExplosion.cc	(revision 5735)
@@ -37,6 +37,6 @@
 #include "core/GameMode.h"
 #include "tools/ParticleInterface.h"
-#include "objects/Scene.h"
-#include "objects/worldentities/ParticleSpawner.h"
+#include "Scene.h"
+#include "worldentities/ParticleSpawner.h"
 #include "Model.h"
 
Index: /code/branches/libraries2/src/orxonox/worldentities/Billboard.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/Billboard.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/Billboard.cc	(revision 5735)
@@ -32,5 +32,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
@@ -111,5 +111,5 @@
             this->billboard_.setColour(this->colour_);
     }
-    
+
 /*
     void Billboard::changedRotation()
Index: /code/branches/libraries2/src/orxonox/worldentities/Camera.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/Camera.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/Camera.cc	(revision 5735)
@@ -38,5 +38,5 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 #include "CameraManager.h"
 
Index: /code/branches/libraries2/src/orxonox/worldentities/Camera.h
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/Camera.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/Camera.h	(revision 5735)
@@ -34,5 +34,5 @@
 #include "util/OgreForwardRefs.h"
 #include "tools/interfaces/Tickable.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/CameraPosition.h
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/CameraPosition.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/CameraPosition.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/ControllableEntity.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/ControllableEntity.cc	(revision 5735)
@@ -37,9 +37,9 @@
 #include "core/XMLPort.h"
 
-#include "objects/Scene.h"
-#include "objects/infos/PlayerInfo.h"
-#include "objects/controllers/Controller.h"
-#include "objects/worldentities/Camera.h"
-#include "objects/worldentities/CameraPosition.h"
+#include "Scene.h"
+#include "infos/PlayerInfo.h"
+#include "controllers/Controller.h"
+#include "worldentities/Camera.h"
+#include "worldentities/CameraPosition.h"
 #include "overlays/OverlayGroup.h"
 
@@ -383,5 +383,5 @@
         registerVariable(this->client_orientation_,      VariableDirection::ToServer, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientOrientation));
         registerVariable(this->client_angular_velocity_, VariableDirection::ToServer, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientAngularVelocity));
-        
+
 
         registerVariable(this->playerID_,                VariableDirection::ToClient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::networkcallback_changedplayerID));
Index: /code/branches/libraries2/src/orxonox/worldentities/ExplosionChunk.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/ExplosionChunk.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/ExplosionChunk.cc	(revision 5735)
@@ -33,5 +33,5 @@
 #include "core/GameMode.h"
 #include "util/Exception.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 #include "tools/ParticleInterface.h"
 
Index: /code/branches/libraries2/src/orxonox/worldentities/Light.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/Light.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/Light.cc	(revision 5735)
@@ -38,5 +38,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/MobileEntity.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/MobileEntity.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/MobileEntity.cc	(revision 5735)
@@ -34,5 +34,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/Model.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/Model.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/Model.cc	(revision 5735)
@@ -34,5 +34,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/MovableEntity.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/MovableEntity.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/MovableEntity.cc	(revision 5735)
@@ -34,5 +34,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/ParticleEmitter.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/ParticleEmitter.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/ParticleEmitter.cc	(revision 5735)
@@ -39,5 +39,5 @@
 #include "core/XMLPort.h"
 #include "tools/ParticleInterface.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.cc	(revision 5735)
@@ -32,6 +32,6 @@
 #include "core/Template.h"
 #include "core/XMLPort.h"
-#include "objects/gametypes/Gametype.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "gametypes/Gametype.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.h
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.h	(revision 5735)
@@ -34,5 +34,5 @@
 #include <string>
 #include "core/Identifier.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/TeamSpawnPoint.h
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 5735)
@@ -32,5 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 #include "SpawnPoint.h"
 
Index: /code/branches/libraries2/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/WorldEntity.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/WorldEntity.cc	(revision 5735)
@@ -44,6 +44,6 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
-#include "objects/collisionshapes/WorldEntityCollisionShape.h"
+#include "Scene.h"
+#include "collisionshapes/WorldEntityCollisionShape.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/pawns/Destroyer.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/pawns/Destroyer.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/pawns/Destroyer.cc	(revision 5735)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "objects/gametypes/UnderAttack.h"
+#include "gametypes/UnderAttack.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 5735)
@@ -38,13 +38,13 @@
 #include "interfaces/PawnListener.h"
 #include "PawnManager.h"
-#include "objects/infos/PlayerInfo.h"
-#include "objects/gametypes/Gametype.h"
-#include "objects/worldentities/ParticleSpawner.h"
-#include "objects/worldentities/ExplosionChunk.h"
-#include "objects/worldentities/BigExplosion.h"
-#include "objects/weaponsystem/WeaponSystem.h"
-#include "objects/weaponsystem/WeaponSlot.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSet.h"
+#include "infos/PlayerInfo.h"
+#include "gametypes/Gametype.h"
+#include "worldentities/ParticleSpawner.h"
+#include "worldentities/ExplosionChunk.h"
+#include "worldentities/BigExplosion.h"
+#include "weaponsystem/WeaponSystem.h"
+#include "weaponsystem/WeaponSlot.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSet.h"
 
 
Index: /code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.h	(revision 5735)
@@ -34,6 +34,6 @@
 #include <string>
 #include "interfaces/RadarViewable.h"
-#include "objects/worldentities/ControllableEntity.h"
-#include "objects/pickup/PickupCollection.h"
+#include "worldentities/ControllableEntity.h"
+#include "pickup/PickupCollection.h"
 
 namespace orxonox
@@ -114,5 +114,5 @@
             virtual void useItem()
                 { this->pickups_.useItem(); }
-            
+
             virtual void startLocalHumanControl();
 
Index: /code/branches/libraries2/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 5735)
@@ -35,5 +35,5 @@
 #include "core/Template.h"
 #include "core/XMLPort.h"
-#include "objects/items/Engine.h"
+#include "items/Engine.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.cc	(revision 5735)
@@ -34,6 +34,6 @@
 
 #include "tools/BillboardSet.h"
-#include "objects/Scene.h"
-#include "objects/infos/PlayerInfo.h"
+#include "Scene.h"
+#include "infos/PlayerInfo.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.h
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.h	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "util/Math.h"
-#include "objects/worldentities/ControllableEntity.h"
+#include "worldentities/ControllableEntity.h"
 
 namespace orxonox
Index: /code/branches/libraries2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc
===================================================================
--- /code/branches/libraries2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 5734)
+++ /code/branches/libraries2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 5735)
@@ -33,5 +33,5 @@
 #include "interfaces/PawnListener.h"
 #include "interfaces/TeamColourable.h"
-#include "objects/gametypes/TeamBaseMatch.h"
+#include "gametypes/TeamBaseMatch.h"
 
 namespace orxonox
